#!/bin/bash

#########################################################
# KYLIX 3 PATCH SCRIPT					#
# CREATED: 8/12/2002					#
#########################################################


# BEGIN STRING TABLE
# These constants should be translated for international use
#
KYLIX_NOT_FOUND="Unable to determine Kylix location."
DIR_ERROR="Please change to the patch installation directory and type 'sh install.sh'."
PATCH_STARTING="Patching Kylix installation at this location:"
PATCH_SUCCESS="PATCH SUCCESSFUL!"
PATCH_FAILURE="ERROR PATCHING KYLIX.  NO CHANGES MADE."

# END STRING TABLE


# FIND WHERE USER INSTALLED KYLIX
kylixloc="`pwd`/bin/kylixloc"

if [ ! -e "$kylixloc" ]; then
   echo "$DIR_ERROR"
   exit 3
fi

kylix_location=`$kylixloc -u`

if [ -z "$kylix_location" ]; then
   echo "$KYLIX_NOT_FOUND"
   exit 2
fi

# KYLIX LOCATION DETERMINED.  APPLY PATCH.
echo "$PATCH_STARTING $kylix_location"
./bin/patch $kylix_location ./patch.rtp

if [ $? -eq 0 ]; then
   echo "$PATCH_SUCCESS"
   exit 0
else
   echo "$PATCH_FAILURE"
   exit 1
fi
